module.exports = {
	transform: {
		'^.+\\.(ts|tsx)$': 'ts-jest',
	},
	testRegex: '(/__tests__/.*|(-|/)(test))\\.(ts|tsx)?$',
	transformIgnorePatterns: ['<rootDir>/node_modules/.*'],
	testPathIgnorePatterns: ['.vscode'],
	moduleFileExtensions: ['ts', 'tsx', 'js', 'jsx', 'json'],
	moduleNameMapper: {
		'^app(.*)$': '<rootDir>/src/app/$1',
		'^api(.*)$': '<rootDir>/src/api/$1',
		'^components(.*)$': '<rootDir>/src/components/$1',
		'^constants(.*)$': '<rootDir>/src/constants/$1',
		'^features(.*)$': '<rootDir>/src/features/$1',
		'^hooks(.*)$': '<rootDir>/src/hooks/$1',
		'^localization(.*)$': '<rootDir>/src/localization/$1',
		'^pages(.*)$': '<rootDir>/src/pages/$1',
		'^types(.*)$': '<rootDir>/src/types/$1',
		'^utils(.*)$': '<rootDir>/src/utils/$1',
	},
};
