/** @type {import('nightwatch').NightwatchOptions} */

module.exports = {
	src_folders: 'tests/.nightwatchjs/src',
	output_folder: 'tests/.nightwatchjs/output',
	page_objects_path: ['tests/.nightwatchjs/objects'],
	custom_commands_path: 'tests/.nightwatchjs/commands',
	use_xpath: true,
	end_session_on_fail: true,
	start_process: false,
	test_settings: {
		localhost: {
			launch_url: '',
			selenium_port: 4444,
			selenium_host: '10.2.0.4',
			screenshots: {
				enabled: true,
				on_failure: true,
				on_error: true,
				path: 'tests/.nightwatchjs/output',
			},
			desiredCapabilities: {
				browserName: 'chrome',
				chromeOptions: {
					args: ['no-sandbox'],
				},
			},
		},
		ci: {
			launch_url: '',
			selenium_port: 4444,
			selenium_host: '10.0.1.21',
			desiredCapabilities: {
				browserName: 'chrome',
				chromeOptions: {
					args: ['headless', 'no-sandbox'],
				},
			},
		},
	},
};
