// @ts-nocheck
import 'types/global';
import 'localization/locale';
import 'utils/yup';

import React from 'react';
import { render } from 'react-dom';
import { Provider } from 'react-redux';

import { ModalWrapper } from '@procyon/components/Modal/context';
import { ToasterWrapper } from '@procyon/components/Toaster/context';

import { App } from './app/app';
import store from './app/store';

render(
	<Provider store={store}>
		<ModalWrapper>
			<ToasterWrapper>
				<App />
			</ToasterWrapper>
		</ModalWrapper>
	</Provider>,
	document.getElementById('app')
);
